2011年07月05日

svn: Handshake failed, received:

svnで同期化すると必ず最初にsvn: Handshake failed, receivedと出てきてとても鬱陶しい。

さらに、branchesの更新をマージしようとした際にも出るからとても使えたもんじゃない。

環境は、eclipse3.6, Subversive, SVN Kit 1.3.5 という状態。

調べてみると、どうもSVN Kit 1.3.5のバグらしい。

https://bugs.eclipse.org/bugs/show_bug.cgi?id=337151

SVN Kit 1.3.3 にバージョンを落とすと解決するらしいので、早速やってみた。

まずは、Subversiveの更新サイトを追加。

http://download.eclipse.org/technology/subversive/0.7/update-site/

以下をインストール。

Subversive SVN チーム・プロバイダー
Subversive SVN チーム・プロバイダー・ローカライゼーション

Eclipseを再起動後、SVNのコネクターの選択で、SVN Kit 1.3.3を選択。

試してみると、無事に解決した〜。


上記チーム・プロバイダーをインストールし、Eclipse を再起動すると、インストールする SVN コネクターの選択画面が出るのだけど出ない場合は、

http://www.polarion.org/projects/subversive/download/eclipse/2.0/update-site/

から、SVN KITをインストールして、SVNの設定画面でコネクターを選択すると良いでしょう。
posted by hana at 18:19| Comment(0) | TrackBack(0) | バージョン管理関連 | このブログの読者になる | 更新情報をチェックする
×

この広告は1年以上新しい記事の投稿がないブログに表示されております。